Dino 0.3.0 does not detect outgoing and incoming audio.

4 réponses [Dernière contribution]
Staircase
Hors ligne
A rejoint: 02/24/2022

Hello,

Dino 0.3.0 does not to detect outgoing and incoming audio of my ThinkPad X220 when I try to place a PC-to-phone call via JMP chat.

I tried all "Settings for selected device" in Sound Preferences. Under profile "Analog Stereo Duplex", when I click "Test Speakers", and then "Test" buttons, both speakers emit a sound as expected. In the Input tab, "Input level" is showing signal bars when I speak. I also recorded a short video via Cheese. The microphone and speakers worked fine.

Dino 0.3.0 has no audio settings. These are the error messages showing in my terminal when I place a PC-to-phone call:


(dino:1926): rtp-WARNING **: 19:28:06.098: plugin.vala:415: No preferred device for outgoing audio. Media will not be processed.

(dino:1926): rtp-WARNING **: 19:28:06.098: plugin.vala:415: No preferred device for outgoing audio. Media will not be processed.

(dino:1926): rtp-WARNING **: 19:28:06.098: plugin.vala:415: No preferred device for incoming audio. Media will not be processed.

(dino:1926): rtp-WARNING **: 19:28:06.098: plugin.vala:415: No preferred device for incoming audio. Media will not be processed.

(dino:1926): rtp-WARNING **: 19:28:06.234: plugin.vala:141: Error in pipeline: Internal data stream error.

Please let me know if there is something else I can try to get Dino 0.3.0 to detect audio, or, if I should raise the issue on Dino's repository instead of here (I could find no one reporting this error in Issues of Dino's repository: https://github.com/dino/dino/issues.)

Attached is a screenshot of what I see on the window of Dino running the call i.e. a warning message on the microphone icon.

Fichier attachéTaille
Screenshot at 2022-05-25 14-24-41.png6.25 Ko
Staircase
Hors ligne
A rejoint: 02/24/2022

I still have the same issue, if anyone has a tip on how to troubleshoot.

Staircase
Hors ligne
A rejoint: 02/24/2022

Someone responded in a thread about the issue on Dino's repository that the problem is due to missing dependencies:

> Dino 0.3.0 it working good here on Trisquel Nabia. Just it need install extra gstreamer dependencies

When I run "sudo apt-cache search gstreamer", the terminal prints a list of over a hundred dependencies.

How could I find out which dependencies Dino 0.3.0 needs for the audio to function?

https://github.com/dino/dino/issues/1245

Ark74

I am a member!

I am a translator!

Hors ligne
A rejoint: 07/15/2009

Dino 3.0 requires the following packages to build,

dh-exec gir1.2-gee-0.8 gir1.2-gspell-1 gir1.2-gssdp-1.2 gir1.2-gupnp-1.2 gir1.2-gupnpigd-1.0 gir1.2-nice-0.1 libassuan-dev libdw-dev libelf-dev libenchant-2-dev libgee-0.8-dev libgpgme-dev libgspell-1-dev libgssdp-1.2-dev libgstreamer-plugins-base1.0-dev
libgstreamer1.0-dev libgudev-1.0-dev libgupnp-1.2-dev libgupnp-igd-1.0-dev libnice-dev libnotify-dev libnss3-dev liborc-0.4-dev liborc-0.4-dev-bin libpsl-dev libqrencode-dev libsignal-protocol-c-dev libsignal-protocol-c2.3.2 libsoup2.4-dev libsqlite3-dev libsrtp2-dev
libunwind-dev libvala-0.56-0 libvalacodegen-0.56-0 libwebrtc-audio-processing-dev valac valac-0.56-vapi valac-bin

So maybe you are looking for these,

libgstreamer-plugins-base1.0-dev libgstreamer1.0-dev

Cheers.

Geshmy
Hors ligne
A rejoint: 04/23/2015

Did you see this list from there, https://github.com/dino/dino/wiki/Build#dependencies

sudo apt install cmake ninja-build valac gettext libgee-0.8-dev libsqlite3-dev libgtk-3-dev libgpgme-dev libsoup2.4-dev libgcrypt20-dev libqrencode-dev libgspell-1-dev libgstreamer1.0-dev libgstreamer-plugins-base1.0-dev libwebrtc-audio-processing-dev libsrtp2-dev libnice-dev glib-networking gstreamer1.0-plugins-good gstreamer1.0-gtk3 libsignal-protocol-c-dev